API

Print News Search Direct API

신문, 잡지, 무역 출판물, 편집물, 언론 보도 및 인쇄 저널리즘.

API 참조 버전: 1.0.0 4 엔드포인트 인증
인쇄 매체

기본 URL

https://api.pressmonitor.com

인증

모든 요청은 Bearer 토큰 인증을 사용합니다. 각 호출에 Authorization 헤더를 추가하세요.

Authorization: Bearer YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID
GET /headlines

매개변수

이름 유형 위치 필수 설명
keywords_text string query
lang_code string query 아니요
country_code string query 아니요
count integer query 아니요
cursor string query 아니요
sort string query 아니요 Sort order (date or relevance)
date_from string query 아니요 Start date for news (YYYY-MM-DD format)
date_to string query 아니요 End date for news (YYYY-MM-DD format)

코드 예제

curl -X GET "https://api.pressmonitor.com/headlines?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success
GET /briefs

매개변수

이름 유형 위치 필수 설명
keywords_text string query
lang_code string query 아니요
country_code string query 아니요
count integer query 아니요
cursor string query 아니요
sort string query 아니요 Sort order (date or relevance)
date_from string query 아니요 Start date for news (YYYY-MM-DD format)
date_to string query 아니요 End date for news (YYYY-MM-DD format)

코드 예제

curl -X GET "https://api.pressmonitor.com/briefs?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success
GET /fulltext

매개변수

이름 유형 위치 필수 설명
keywords_text string query
lang_code string query 아니요
country_code string query 아니요
count integer query 아니요
cursor string query 아니요
sort string query 아니요 Sort order (date or relevance)
date_from string query 아니요 Start date for news (YYYY-MM-DD format)
date_to string query 아니요 End date for news (YYYY-MM-DD format)

코드 예제

curl -X GET "https://api.pressmonitor.com/fulltext?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success
GET /clip

매개변수

이름 유형 위치 필수 설명
id string query Clip/article ID to resolve
ns string query Namespace prefix for multi-tenant index resolution
date string query Date of the clip (YYYY-MM-DD)
host string query 아니요 Host name for tenant resolution
ttl integer query 아니요 Signed URL time-to-live in seconds

코드 예제

curl -X GET "https://api.pressmonitor.com/clip?id=VALUE&ns=VALUE&date=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success